from flask_admin.contrib import sqla
from mgdpr.models.mgdpr import User
import flask_login


# Create customized model view class
class AdminModelView(sqla.ModelView):
    form_excluded_columns = ('created', 'updated', )

    def is_accessible(self):
        if flask_login.current_user.is_authenticated:
            if User.query.filter(User.id == flask_login.current_user.id).first():
                return True

        return False

