from mgdpr.admin.base import AdminModelView
from flask_admin.model.form import InlineFormAdmin


from mgdpr.extensions import db
from mgdpr.models.mgdpr import Email, EmailTranslation


class EmailTranslationAdmin(InlineFormAdmin):
    form_excluded_columns = ('created', 'updated')


class EmailAdmin(AdminModelView):
    # Visible columns in the list view
    inline_models = (EmailTranslationAdmin(EmailTranslation),)

    form_excluded_columns = ('created', 'updated', 'requests', 'access_token', )

    def __init__(self):
        # Just call parent class with predefined model.
        super(EmailAdmin, self).__init__(Email, db.session)
