from mgdpr.admin.base import AdminModelView
from flask_admin.model.form import InlineFormAdmin


from mgdpr.extensions import db
from mgdpr.models.mgdpr import LandingPage, LandingPageTranslation


class LandingPageTranslationAdmin(InlineFormAdmin):
    form_excluded_columns = ('created', 'updated')


class LandingPageAdmin(AdminModelView):
    # Visible columns in the list view
    inline_models = (LandingPageTranslationAdmin(LandingPageTranslation),)
    list_columns = ('id', 'updated', 'created', 'name', 'is_success')
    form_excluded_columns = ('created', 'updated', 'requests', )

    def __init__(self):
        # Just call parent class with predefined model.
        super(LandingPageAdmin, self).__init__(LandingPage, db.session)
