import json
from flask import Markup
from mgdpr.admin.base import AdminModelView
from mgdpr.extensions import db
from mgdpr.models.mgdpr import Request


class RequestAdmin(AdminModelView):
    def _payload_formatter(self, context, model, name):
        data = json.loads(model.payload)
        return Markup('<pre style="white-space: pre;">{}</pre>'.format(json.dumps(data, sort_keys=True, indent=4, separators=(',', ': '), ensure_ascii=False)))

    form_excluded_columns = ('created', 'updated',)
    column_formatters = {
        'payload': _payload_formatter
    }

    column_default_sort = ('created', True)

    column_filters = ('email', 'target_email', 'landing_page', 'locale', 'hook_status_code')

    def __init__(self):
        # Just call parent class with predefined model.
        super(RequestAdmin, self).__init__(Request, db.session)
