
from flask_mail import Message as FlaskMessage
import base64
import re
import os
import requests
import mimetypes
import sys

PY3 = sys.version_info[0] == 3

if PY3:
    from email import policy
    message_policy = policy.SMTP
else:
    message_policy = None


class Message(FlaskMessage):
    _embed_images = False

    def _message(self):

        if self._embed_images and self.html:
            for img_url in re.findall(r'<img[\s\S]+?src=[\"\'](.+?)[\"\'][\s\S]*?>', self.html):
                if not img_url.startswith('cid:') or not img_url.startswith('data:'):
                    basename = os.path.basename(img_url)
                    maintype, subtype = mimetypes.guess_type(str(basename))[0].split('/', 1)
                    res = requests.get(img_url)
                    self.html = self.html.replace(img_url, 'data:{}/{};base64,{}'.format(maintype, subtype, base64.b64encode(res.content).decode('ascii')))

        return super(Message, self)._message()

    def embed_images(self):
        self._embed_images = True
